		-------------------------------------------
		-- Paragon Reputation Config 1.07 by Sev --
		-------------------------------------------

ParagonReputation =	LibStub("AceAddon-3.0"):NewAddon("ParagonReputation", "AceConsole-3.0")		

local defaults = {
	profile = {
		color = {g = 0.5, b = 0.9},
		togglecolor = {
			ble = true, -- Blue
			grn = false, -- Green
		},
		toggletext = {
			dft = true, -- Default
			exd = false, -- Exalted
			nbr = false, -- Number
			vls = false, -- Values
		},
	},
}

function ParagonReputation:OnInitialize()
    db = LibStub("AceDB-3.0"):New("ParagonReputationDB", defaults, true)
end

local options = {
	type = "group",
	name = "|cff0088eeParagon|r Reputation |cff0088eev1.07|r",
	args = {
		desc1 = {
			order = 1, 
			name = "These options allow you to customize some settings of Paragon Reputation.",
			type = "description",
		},
		header1 = {
			order = 2,
			name = "Config",
			type = "header",
		},
		group1 = {
			order = 10,
			name = "Reputation Bars",
			type = "group",
			args = {
				g1t1 = {
					order = 11,
					name = "|cfff0c503Bar Color:|r",
					type = "description",
				},
				g1tgl1 = {
					order = 12,
					name = "|cff0088eeParagon Blue|r",
					type = "toggle",
					set = function()
						db.profile.color = {g = 0.5, b = 0.9}
						db.profile.togglecolor = {ble = true, grn = false}
					end,
					get = function(info) 
						return db.profile.togglecolor.ble
					end,
				},
				g1tgl2 = {
					order = 13,		
					name = "|cff009919Default Green|r",
					type = "toggle",
					set = function()
						db.profile.color = {g = 0.6, b = 0.1}
						db.profile.togglecolor = {ble = false, grn = true}
					end,
					get = function(info) 
						return db.profile.togglecolor.grn
					end,
				},
				g1t2 = {
					order = 14,
					name = "|cfff0c503Text Format:|r",
					type = "description",
				},
				g1tgl3 = {
					order = 15,		
					name = "Paragon (0/10000)",
					type = "toggle",
					set = function()
						db.profile.toggletext = {dft = true, exd = false, nbr = false, vls = false}
					end,
					get = function(info) 
						return db.profile.toggletext.dft
					end,
				},	
				g1tgl4 = {
					order = 16,		
					name = "0/10000",
					type = "toggle",
					set = function()
						db.profile.toggletext = {dft = false, exd = false, nbr = true, vls = false}
					end,
					get = function(info) 
						return db.profile.toggletext.nbr
					end,
				},
				g1tgl5 = {
					order = 17,		
					name = "Exalted (0/10000)",
					type = "toggle",
					set = function()
						db.profile.toggletext = {dft = false, exd = true, nbr = false, vls = false}
					end,
					get = function(info) 
						return db.profile.toggletext.exd
					end,
				},
				g1tgl6 = {
					order = 18,		
					name = "0 (0/10000)",
					type = "toggle",
					set = function()
						db.profile.toggletext = {dft = false, exd = false, nbr = false, vls = true}
					end,
					get = function(info) 
						return db.profile.toggletext.vls
					end,
				},
			},
		},
	},
}

LibStub("AceConfigRegistry-3.0"):RegisterOptionsTable("ParagonReputation", options)
LibStub("AceConfigDialog-3.0"):AddToBlizOptions("ParagonReputation", "Paragon Reputation")